package com.company.testperson.view.person;

import com.company.testperson.entity.Person;

import com.company.testperson.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "persons", layout = MainView.class)
@ViewController("Person.list")
@ViewDescriptor("person-list-view.xml")
@LookupComponent("personsDataGrid")
@DialogMode(width = "64em")
public class PersonListView extends StandardListView<Person> {
}