package com.company.testperson.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;

import java.util.UUID;

@JmixEntity
@Table(name = "CONTACT")
@Entity
public class Contact {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JoinColumn(name = "TYPE_CONTACT_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private TypeContact typeContact;

    @JoinColumn(name = "PERSON_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private Person person;

    @Column(name = "VALUE_")
    private String value;

    public TypeContact getTypeContact() {
        return typeContact;
    }

    public Person getPerson() {
        return person;
    }

    public String getValue() {
        return value;
    }


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }


    public void setPerson(Person person) {
        this.person = person;
    }
    public void setTypeContact(TypeContact typeContact) {
        this.typeContact = typeContact;
    }

    public void setValue(String value) {
        this.value = value;
    }
}