package com.company.testperson.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

import java.util.UUID;

@JmixEntity
@Table(name = "TYPE_CONTACT")
@Entity
public class TypeContact {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }


    @Column(name = "CODE", length = 10)
    private String code;

    @InstanceName
    @Column(name = "NAME")
    private String name;

    @Column(name = "PATTERN")
    private String pattern;

    @Column(name = "ALLOW_CHAR_PATTERN")
    private String allowCharPattern;

    @Column(name = "MIN_LENGTH")
    private Short minLength;

    @Column(name = "MAX_LENGTH")
    private Short maxLength;

    public Short getMaxLength() {
        return maxLength;
    }

    public void setMaxLength(Short maxLength) {
        this.maxLength = maxLength;
    }

    public String getAllowCharPattern() {
        return allowCharPattern;
    }

    public void setAllowCharPattern(String allowCharPattern) {
        this.allowCharPattern = allowCharPattern;
    }

    public Short getMinLength() {
        return minLength;
    }

    public void setMinLength(Short minLength) {
        this.minLength = minLength;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


}